/* imported font */
@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=VT323&display=swap');

/* page colors */
:root {
  --text-color: #e5ddd6;
  --link-color: #7f7569;
  --bg-color: #453930;
  --mainbg-color: #342c27;
  --border-color: black;
  --accent-color: #cbc0b6;
  --shadow-color: #241e1a;
}

/* scroll bar */
::-webkit-scrollbar {
width: 14px
}
::-webkit-scrollbar:horizontal {
height: 14px
}
::-webkit-scrollbar-corner {
background: #eee
}
::-webkit-scrollbar-track:vertical {
background: linear-gradient(90deg, #e5e5e5, #f0f0f0 20%);
border-radius: 5px; 
}
::-webkit-scrollbar-track:horizontal {
background: linear-gradient(180deg, #e5e5e5, #f0f0f0 20%);
border-radius: 5px; 
}
::-webkit-scrollbar-thumb {
border: 1.5px solid #888;
border-radius: 5px;
box-shadow: inset 0 -1px 1px #fff, inset 0 1px 1px #fff;
}
::-webkit-scrollbar-thumb:vertical {
background: linear-gradient(90deg, #eee 45%, #ddd 0, #bbb);
}
::-webkit-scrollbar-thumb:horizontal {
background: linear-gradient(180deg, #eee 45%, #ddd 0, #bbb);
}

/* span dictated font styles */
#handwriting {
  font-family: "Caveat", cursive;
  font-size: medium;
}
#strike {
  text-decoration: line-through;
}
#highlight {
  color: var(--accent-color);
}

/* body css/initial div positioning */
body {
  background: var(--mainbg-color);
  background-attachment: fixed;
  color: var(--text-color);
  width: 800px;
  margin: 50px auto;
  padding: 5px;
  font-family: 'Times New Roman', Times, serif;
  font-size: smaller;
  scrollbar-width: thin;
  z-index: 1;
  position: relative;
}
#container {
  position: fixed;
  width: 100%;
  min-height: 100%;
  top: 0;
  left: 0;
  z-index: -1;
}
#wallpaper {
  width: 100%;
  height: 100%;
  opacity: 10%;
}

/* highlight style */
::selection {
  background: var(--accent-color);
}

/* link style */
a {
  color: var(--link-color);
  text-decoration: none;
  font-weight: bold;
}
a:hover {
  text-shadow: 1px 1px 10px var(--link-color);
  letter-spacing: 2px;
}

/* heading styles */
h1,
h2,
h3,
h4,
h5,
h6 {
  padding: 0;
  margin: 0;
  font-family: times new roman;
  font-size: large;
  font-style: italic;
  letter-spacing: 1px;
}
h1 {
  background-color: var(--shadow-color);
  position: sticky;
  top: -15px;
  width: auto;
  height: 30px;
  padding: 0px 10px 5px 10px;
  margin: -15px;
  text-align: center;
  border-bottom: 1px solid var(--border-color);
  font-family: "VT323", monospace;
  font-style: normal;
  font-size: xx-large;
}
h2 {
  background-color: var(--shadow-color);
  position: sticky;
  top: -10px;
  width: auto;
  height: 30px;
  padding: 5px 10px 0px 10px;
  margin: -10px;
  text-align: center;
  border-bottom: 1px solid var(--border-color);
  font-family: "VT323", monospace;
  font-style: normal;
  font-size: x-large;
}
h3 {
  font-family: "VT323", monospace;
  font-style: normal;
}

/* main div style */
header,
nav,
main,
footer {
  border: 1px solid var(--border-color);
  padding: 5px 20px;
  background: var(--mainbg-color);
}

/* header style */
header {
  border-bottom: 1px solid black;
  height: 200px;
  position: relative;
}
header h1 {
  text-shadow: 1px 1px 5px var(--link-color);
  padding: 3px;
  margin: 15px;
  font-family: times new roman;
  font-size: xx-large;
  font-style: italic;
  text-align: right;
  vertical-align: text-bottom;
  background: none;
  text-transform: none;
  border: none;
}

#house {
  z-index: 2;
  position: absolute;
  width: 380px;
  top: -115px;
  left: -100px;
}
#housecontainer:hover #house {
  rotate: 3deg;
}
  #housetext {
    position: absolute;
    font-family: "VT323", monospace;
    color: var(--text-color);
    text-shadow: 3px 2px var(--shadow-color);
    font-size: xx-large;
    top: 70px;
    left: -40px;
    z-index: 4;
    opacity: 0%;
  }
  #housecontainer:hover #housetext {
    opacity: 100%;
  }

#marquee {
	display: flex ;
	overflow: hidden ;
	white-space: nowrap ;
	width: 798px ;
  position: absolute;
  bottom: 5px;
  left: 0px;
}
	#marqueeitem {
		animation-duration: 20s ;
		animation-iteration-count: infinite ;
		animation-name: marquee-content ;
		animation-timing-function: linear ;
		padding: 5px 15px 5px 15px ;
    font-family: "VT323", monospace;
	}
  @keyframes marquee-content {
			from {
				transform: translateX( 0% );
			}
			to {
				transform: translateX( -100% );
			}
		}

/* footer style */
footer {
  text-shadow: 1px 1px 10px var(--link-color);
  background: none;
  border: none;
  font-family: 'Times New Roman', Times, serif;
  font-style: italic;
  font-size: x-small;
  text-align: center;
  margin-top: 10px;
}

/* nav style */
nav {
  padding: 0;
  border: none;
  display: wrap;
  width: 200px;
  border-right: 1px solid var(--border-color);
  height: auto;
  position: relative;
}
nav li,
nav ul {
  padding: 2px;
  margin: 0;
  list-style-type: none;
}
nav a {
  color: var(--link-color);
  letter-spacing: 1px;
  text-shadow: 1px 1px 10px var(--link-color);
  font-family: times new roman;
  font-size: 1.2rem;
  font-style: italic;
  padding: 0 10px;
  font-weight: normal;
}
nav li:hover {
  background: var(--accent-color);
  margin: 0px -2px 0px -2px;
}
nav h1 {
  padding: 3px 10px 3px 10px;
  margin: 0;
  background: var(--bg-color);
  color: var(--mainbg-color);
  text-shadow: 1px 1px 1px var(--border-color);
  text-transform: uppercase;
  text-align: left;
  border: none;
  font-family: times new roman;
  font-size: large;
  font-style: italic;
  letter-spacing: 1px;
  height: auto;
}

#contents {
  z-index: 2;
  position: absolute;
  width: 225px;
  bottom: -15px;
  left: -40px;
}

/* body style */
main {
  text-align: left;
  border-top: none;
  display: flex;
  padding: 0;
  position: relative;
}